<?php
require(INCLUDE_DIR.'mobileFunctions.php');
require(INCLUDE_DIR.'outputFunctions.php');

$script='function openResource(url,resId,n,i,o){document.resForm.action=url;dgn("resId").value=resId;document.resForm.submit()}';

/**
 * @desc Process menu-level GET & POST command (except logout that is directly processed by /index.php
 *
 */
function mMFProcessCommands(){
	if(cfIsAsync()) cfAsyncHeader();
	// Theme change
	if(isset($_POST['theme'])){
		$_POST['theme']=str_replace('.','',$_POST['theme']);
		if(is_file(cfAppDocRoot().'/themes/mobile/'.$_POST['theme'].'/theme.css')) {
			cfUSetVar('theme','mobile/'.$_POST['theme']);
			cfSaveUserVar('mobileTheme','mobile/'.$_POST['theme']);
		}
	}
	if(cfIsAsync()) die(cfAsyncFooter());
}

mMFProcessCommands();

mfInsertHead(array('javascript'=>$script,'context'=>'menu'));
?>
<script type="text/javascript">
function go(n){wl.liSel(n)}
function toggleTheme(){
	dgn('theme').value=(dgi('themeCss').href.indexOf('/w')!=-1)?'b':'w'
	D.forms.themeF.submit();
}
</script>
<form name="themeF" method="POST" style="display:none"><input name="theme"></form>
<table class="liTable" cellspacing=0 cellpadding=0>
<?php
$i=0;
$isBlackTheme=(basename(cfTGetVar('path'))==='b');

//echo '<div class="frame1Header">'.cfCaption('genResources').'</div>';
foreach(cfResourcesGetUser() as $value){
	echo '<tr class="li" onclick="go(this);'.$value['resourceJsLink'].'">';

	$iconSrc=$resourcesObjects[$value['id']]->icon32();

	// Icon src/dark theme: convert png to gif with black background
	if($isBlackTheme){
		$iconSrc=cfFilteredImage($iconSrc,0,0,array(),255,0,array('noAlpha'=>1,'outputFormat'=>'gif'));
		echo '<td class="lil"><img src="'.$iconSrc.'" style="width:32px;height:32px" class="frW"></td><td class="lic">';
	}
	// Icon src/light theme: try to replace by .gif icon (lighter)
	else{
		if(is_file(cfAppDocRoot().str_replace('.png','.gif',$iconSrc))) $iconSrc=str_replace('.png','.gif',$iconSrc);
		echo '<td class="lil">'.outImage($iconSrc,false,'class="frW"').'</td><td class="lic">';
	}

	// Resource Name
	echo '<span class="lit">'.cfUTF8Encode(cfStrTruncate($value['name'],32)).'</span><br/>';

	// Resource type description
	cfUTF8Encode($value['definition']['resourceTypeLabel']);
	echo '</td>';

	// Go icon
	echo '<td class="lir"><b class="goIco"></b></td></tr>';
	$i++;
}
// Preload stuff
?>
<b class="loadingIco" style="position:absolute;top:-100px"></b>
<b class="liSel" style="position:absolute;top:-100px"></b>
<?php
// Sync forms
?>
<form name="logoutForm" action="/index.php" method="POST" style="display:none"><input name="logout" value="parent" style="display:none"/></form>
<form name="resForm" action="" method="POST" style="display:none"><input style="display:none" type="text" name="resId"></form>