<?php
/**
 * Transfers view / cancel script
 *
 * this script is included by index.php and shouldn't be directly called
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 1.0.0
 */

require_once(INCLUDE_DIR.'transferFunctions.php');

/*
 * Verify access rights
*/
if($_SERVER['REMOTE_ADDR']!='127.0.0.1'){
	if(cfUGetVar('administrator')!=true ||  !cfGGetVar('remoteAdministrationAuthorized')) outDisplayErrorPage(cfcaption('errorRemoteAdministrationNotAuthorized'));
}

// Async
if(cfIsAsync()) {
	tDisplayTransfers(false,false);
	exit;
}

/*
 ***************************************************************************************************************************
 * Display Transfers
 ***************************************************************************************************************************
 */
echo '<div class="frame1" id="transfersDiv" style="overflow:auto">';
echo outFrameHeaderTable('frame1Header',outImage(outIcon('transfers'),false,false,'vertical-align:middle;margin-right:1em;').cfCaption('adminTranfers'),outButton(cfCaption('explorerClearFinishedTransferts'),'javascript:transfersClear(\'all\')',outIcon('eraser')));
tDisplayTransfers(false,false);
?>
</div>
<script type="text/javascript">
function winResized(w,h){
	alignBottom(dgi('transfersDiv'),winMe,10)
}
winResized();
</script>
