<?php
/**
 * Photo album 2
 *
 * Display a photo album based on files located in a given directory (and subdirs)
 * Display thumbnails and preview.
 * Display full size view in separate window
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 1.0.0
 */


// Backward compatibility: set combinedLayout for Photo2 resources
if(!cfRGetVar('combinedLayout')) {
	cfRSetVar('combinedLayout','21');
	// and force 240px thumbnails as Photo1 thumbnails were too small for other displays
	cfRSetVar('thumbnailsSize',240);
}

// Head back to combined index.php
require(cfAppDocRoot().'/res/explorer/Photo1/index.php');