<?php
/**
 * Simple mode login form: display a list of all accessible resources
 *
 * Included by login.php
 * Display login form
 *
 * See /login.php for used variables
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2013 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 2.1.0K
 */

require_once(INCLUDE_DIR.'mobileFunctions.php');

mfInsertHead(array('context'=>'login','title'=>APPLICATION_NAME,'topControlsLabel'=>APPLICATION_NAME));

?>
<div class="loginBox textShadow" style="position:absolute;top:50%;margin-top:-10px;text-align:center;font-size:130%">
<?php echo outImageIcon('excl32',false,'margin-right:2em').cfCaption('validLinkRequired')?>
</div>
<?php
loginPageFooter();
